# Module os::task

source · [−]

## Re-exports

`pub use context::TaskContext;`
`pub use id::kstack_alloc;`
`pub use id::pid_alloc;`
`pub use id::KernelStack;`
`pub use id::PidHandle;`
`pub use manager::add_task;`
`pub use manager::pid2process;`
`pub use manager::remove_from_pid2process;`
`pub use processor::current_kstack_top;`
`pub use processor::current_process;`
`pub use processor::current_task;`
`pub use processor::current_trap_cx;`
`pub use processor::current_trap_cx_user_va;`
`pub use processor::current_user_token;`
`pub use processor::run_tasks;`
`pub use processor::schedule;`
`pub use processor::take_current_task;`
`pub use signal::SignalFlags;`
`pub use task::TaskControlBlock;`
`pub use task::TaskStatus;`

## Modules

context 🔒
id 🔒
manager 🔒
process 🔒
processor 🔒
signal 🔒
switch 🔒
task 🔒

## Structs

INITPROC

## Functions

add_initproc
block_current_and_run_next
check_signals_of_current
current_add_signal
exit_current_and_run_next
suspend_current_and_run_next